%define upstream_name       Template-Toolkit
%define upstream_version 2.26
%global __provides_exclude perl\\(CGI\\)|perl\\(My::
%global __requires_exclude perl\\(CGI\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        http://www.template-toolkit.org
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.560.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl-devel
%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(bytes\\)

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
find ./ -type f | \
    xargs perl -pi -e 's|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|'

%build
%{__perl} Makefile.PL \
    TT_XS_ENABLE="y" \
    TT_XS_DEFAULT="y" \
    INSTALLDIRS=vendor </dev/null
%make CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc Changes HACKING INSTALL META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Template*
%{perl_vendorarch}/auto/Template
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.260.0-5.mga6
+ Revision: 1033915
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 shlomif <shlomif> 2.260.0-4.mga6
+ Revision: 997074
- Exclude a require

* Fri Feb 12 2016 umeabot <umeabot> 2.260.0-3.mga6
+ Revision: 958069
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.260.0-2.mga6
+ Revision: 845307
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 2.260.0-1.mga6
+ Revision: 840491
- update to 2.26

* Sun Oct 19 2014 umeabot <umeabot> 2.250.0-7.mga5
+ Revision: 790533
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.250.0-6.mga5
+ Revision: 749754
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.250.0-5.mga5
+ Revision: 735942
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.250.0-4.mga5
+ Revision: 686358
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Jun 03 2014 pterjan <pterjan> 2.250.0-3.mga5
+ Revision: 631740
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.250.0-2.mga4
+ Revision: 530528
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 2.250.0-1.mga4
+ Revision: 457878
- update to 2.25

* Wed May 29 2013 tv <tv> 2.240.0-4.mga4
+ Revision: 430126
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.240.0-3.mga3
+ Revision: 373184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.240.0-2.mga3
+ Revision: 251189
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 2.240.0-1.mga2
+ Revision: 213189
- update to 2.24

* Wed Jan 25 2012 jquelin <jquelin> 2.230.0-1.mga2
+ Revision: 201020
- update to 2.23

* Sun Jun 12 2011 sander85 <sander85> 2.220.0-5.mga2
+ Revision: 104732
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 2.220.0-4.mga1
+ Revision: 34230
- mageia rebuild
- imported package perl-Template-Toolkit


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.220.0-4mdv2011.0
+ Revision: 564582
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.220.0-3mdv2011.0
+ Revision: 556155
- rebuild for perl 5.12

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 2.220.0-2mdv2010.1
+ Revision: 541166
- fix summary

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 2.220.0-1mdv2010.0
+ Revision: 399469
- update to 2.22

* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.210.0-1mdv2010.0
+ Revision: 393194
- new version
- spec cleanup

* Tue Jun 09 2009 Jérôme Quelin <jquelin@mandriva.org> 2.20-1mdv2010.0
+ Revision: 384330
- patching makefile.pl to go through all the steps
- update to 2.20

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.19-3mdv2009.0
+ Revision: 224064
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.19-2mdv2008.1
+ Revision: 151257
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Michael Scherer <misc@mandriva.org> 2.19-1mdv2008.0
+ Revision: 29091
- Update to new version 2.19


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2007.1
+ Revision: 134809
- new version
- Import perl-Template-Toolkit

* Sat May 27 2006 Scott Karns <scottk@mandriva.org> 2.15-2mdv2007.0
- Added versioned provides for perl-Template

* Sat May 27 2006 Scott Karns <scottk@mandriva.org> 2.15-1mdv2007.0
- 2.15
- Updated BuildRequires per version 2.15
- Updated _provides_exceptions to eliminate bogus provide perl(My::*)
- Template::Plugin::DBI modules are now provided by perl-Template-DBI
- Template::Plugin::XML modules are now provided by perl-Template-XML

* Fri Jul 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.14-3mdk 
- fix package name to be policy compliant
- drop tetex requires

* Thu Mar 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-2mdk
- Don't provide perl(CGI) and other perl modules already found otherwise

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-1mdk
- 2.14

* Tue Jul 27 2004 Stefan van der Eijk <stefan@mandrake.org> 2.13-1mdk
- 2.13

